Event by Index
curl --request GET \
--url https://tokens.shakesco.com/event-by-index \
--header 'Authorization: Bearer <token>'import requests
url = "https://tokens.shakesco.com/event-by-index"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tokens.shakesco.com/event-by-index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{ "event_name": "signup" }
Events
Event by Index
Look up an event name by its position in your configuration
GET
/
event-by-index
Event by Index
For the complete documentation index, see llms.txt.
Returns the name of the event at the given index. Loop from
0 to event_count - 1 to enumerate every event you’ve configured.
Query Parameters
0-based event index (less than
event_count from /event-counter)Response
Lowercase event identifier
for (let i = 0; i < eventCount; i++) {
const res = await fetch(
`https://tokens.shakesco.com/event-by-index?index=${i}`,
{ headers: { Authorization: `Bearer ${API_KEY}` } }
);
const { event_name } = await res.json();
}
{ "event_name": "signup" }
⌘I